Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.util
Class Interceptor

    java.lang.Object
      org.deegree.framework.util.Interceptor

Direct Known Subclasses:
  DirectInterceptor, LoggingInterceptor, ProfilerInterceptor

    public abstract class Interceptor

extends Object

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , last edited by: $Author: mschneider $
See Also:
  Chain of Responsibility Design Pattern

Field Summary
`protected static ILogger` | `LOG` Logging for all Interceptors
`protected Interceptor` | `nextInterceptor`

Constructor Summary
`Interceptor()`

Method Summary
`protected Object` | `getTarget()`
`protected abstract Object` | `handleInvocation(Method method, Object[] params)` Do an invocation of the given method while being able to something else first.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final ILogger LOG

  Logging for all Interceptors

### nextInterceptor

    protected Interceptor nextInterceptor

Constructor Detail

### Interceptor

    public Interceptor()

Method Detail

### handleInvocation

    protected abstract Object handleInvocation(Method method,
                                               Object[] params)
                                        throws IllegalAccessException,
                                               InvocationTargetException

  Do an invocation of the given method while being able to something else first.

  Parameters:
    `method` -
    `params` -
  Returns:
    some object
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`

### getTarget

    protected Object getTarget()

  Returns:
    the target

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org